Index: Portfile
===================================================================
--- Portfile	(révision 52433)
+++ Portfile	(copie de travail)
@@ -3,7 +3,7 @@
 PortSystem 1.0
 
 name				mysql-connector-java
-version				5.0.7
+version				5.1.10
 
 categories			java
 maintainers			jberry openmaintainer
@@ -21,9 +21,9 @@
 homepage			http://dev.mysql.com/doc/refman/5.0/en/connector-j.html
 
 master_sites		http://ftp.plusline.de/mysql/Downloads/Connector-J/
-checksums			md5 d177ce7397b119f013458cec0418ad2d \
-				sha1 df3b78d1108f89485fb8c9711ee39c376d0391eb \
-				rmd160 eae7454d156c7726ab2e96017e8b6f4fe0c61ab9
+checksums           md5     f9da616de868ddd1acf1428334f3313d \
+                    sha1    32938f3004c70a657a7481496bc3813b85df20de \
+                    rmd160  ef5b6cf4cceaac0c6d32858920c362bab6004bc1
 
 patchfiles			patch-build.xml
 
@@ -50,6 +50,15 @@
 	file copy ${worksrcpath}/docs ${destroot}${prefix}/share/doc/${name}
 }
 
+platform darwin 10 {
+	post-patch {
+		reinplace -E {/name="compile"/s/compile-testsuite, //} \
+			${worksrcpath}/build.xml
+	}
+
+	patchfiles-append patch-JDK-1.6.diff
+}
+
 livecheck.check regex
 livecheck.url   http://dev.mysql.com/downloads/connector/j/5.0.html
 livecheck.regex "${name}-(\\d+\\.\\d+(\\.\\d+)?).tar.gz"
